---
title: Element.onfullscreenchange
slug: Web/API/Element/onfullscreenchange
tags:
  - API
  - Element
  - Event Handler
  - Full
  - Full-screen
  - Fullscreen API
  - Property
  - Reference
  - fullscreen
  - onfullscreenchange
  - screen
---
<div>{{ApiRef("Fullscreen API")}}</div>

<p><span class="seoSummary">The {{domxref("Element")}} interface's <code><strong>onfullscreenchange</strong></code><strong> </strong>property is an event handler for the {{event("fullscreenchange")}} event that is fired when the element has transitioned into or out of full-screen mode.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>targetDocument</em>.onfullscreenchange = <em>fullscreenChangeHandler</em>;
</pre>

<h3 id="Value">Value</h3>

<p>An event handler for the {{event("fullscreenchange")}} event, indicating that the element has changed in or out of full-screen mode.</p>

<h2 id="Example">Example</h2>

<p>This example establishes a <code>fullscreenchange</code> event handler, <code>handleFullscreenChange()</code>. This function determines which element it was called on by checking the value of {{domxref("event.target")}}, then compares the document's {{domxref("Document.fullscreenElement", "fullscreenElement")}} value to the element to see if they're the same node.</p>

<p>This gives us a value, <code>isFullscreen</code>, which we pass into a function called <code>adjustMyControls()</code>, which we imagine to be a function that makes adjustments to the app's user interface to present itself optimally when it's in full-screen mode versus being displayed in a window.</p>

<pre class="brush: js notranslate">function toggleFullscreen() {
  let elem = document.querySelector("video");

  elem.onfullscreenchange = handleFullscreenChange;
  if (!document.fullscreenElement) {
    elem.requestFullscreen().then({}).catch(err =&gt; {
      alert(`Error attempting to enable full-screen mode: ${err.message} (${err.name})`);
    });
  } else {
    document.exitFullscreen();
  }
}

function handleFullscreenChange(event) {
  let elem = event.target;
  let isFullscreen = document.fullscreenElement === elem;

  adjustMyControls(isFullscreen);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Fullscreen", "#handler-document-onfullscreenchange", "onfullscreenchange")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.onfullscreenchange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API </a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{event("fullscreenchange")}}</li>
 <li>{{domxref("Element.onfullscreenerror")}}</li>
 <li>The {{domxref("Document")}} equivalent: {{domxref("Document.onfullscreenchange", "onfullscreenchange")}}.</li>
</ul>
